summaryrefslogtreecommitdiffstats
path: root/usr.sbin/bsdinstall/scripts/auto
diff options
context:
space:
mode:
authornwhitehorn <nwhitehorn@FreeBSD.org>2011-03-13 17:15:31 +0000
committernwhitehorn <nwhitehorn@FreeBSD.org>2011-03-13 17:15:31 +0000
commitda52594639ac9c096c58d385310db81b2d28dd13 (patch)
treee050ebfe9446385afdf6f90f9cc4724871bc6978 /usr.sbin/bsdinstall/scripts/auto
parent93e771cdbb93cc6170679cdf90f4299919dbabb0 (diff)
downloadFreeBSD-src-da52594639ac9c096c58d385310db81b2d28dd13.zip
FreeBSD-src-da52594639ac9c096c58d385310db81b2d28dd13.tar.gz
Add generation of an installation manifest containing SHA256 checksums as
well as package descriptions and add code in the installer to check the checksums.
Diffstat (limited to 'usr.sbin/bsdinstall/scripts/auto')
-rwxr-xr-xusr.sbin/bsdinstall/scripts/auto34
1 files changed, 15 insertions, 19 deletions
diff --git a/usr.sbin/bsdinstall/scripts/auto b/usr.sbin/bsdinstall/scripts/auto
index a4c5c82..a857edc 100755
--- a/usr.sbin/bsdinstall/scripts/auto
+++ b/usr.sbin/bsdinstall/scripts/auto
@@ -50,26 +50,21 @@ bsdinstall keymap
trap error SIGINT # Catch cntrl-C here
bsdinstall hostname || error
-LIB32=""
-[ `uname -p` = amd64 -o `uname -p` = powerpc64 ] && \
- LIB32="lib32 \"32-bit compatibility\" on"
-
-DISTMENU="doc \"Additional documentation\" on \
- games \"Games (fortune, etc.)\" on \
- $LIB32 \
- ports \"Ports tree\" on \
- src \"System source code\" off"
-
-exec 3>&1
-EXTRA_DISTS=$(echo $DISTMENU | xargs dialog --backtitle "FreeBSD Installer" \
- --title "Distribution Select" --nocancel --separate-output \
- --checklist "Choose optional system components to install:" \
- 0 0 0 \
-2>&1 1>&3)
export DISTRIBUTIONS="base.txz kernel.txz"
-for dist in $EXTRA_DISTS; do
- export DISTRIBUTIONS="$DISTRIBUTIONS $dist.txz"
-done
+if [ -f $BSDINSTALL_DISTDIR/MANIFEST ]; then
+ DISTMENU=`cut -f 4,5,6 $BSDINSTALL_DISTDIR/MANIFEST | grep -v -e ^kernel -e ^base`
+
+ exec 3>&1
+ EXTRA_DISTS=$(echo $DISTMENU | xargs dialog \
+ --backtitle "FreeBSD Installer" \
+ --title "Distribution Select" --nocancel --separate-output \
+ --checklist "Choose optional system components to install:" \
+ 0 0 0 \
+ 2>&1 1>&3)
+ for dist in $EXTRA_DISTS; do
+ export DISTRIBUTIONS="$DISTRIBUTIONS $dist.txz"
+ done
+fi
FETCH_DISTRIBUTIONS=""
for dist in $DISTRIBUTIONS; do
@@ -131,6 +126,7 @@ if [ ! -z "$FETCH_DISTRIBUTIONS" ]; then
export DISTRIBUTIONS="$ALL_DISTRIBUTIONS"
fi
+bsdinstall checksum || error
bsdinstall distextract || error
bsdinstall rootpass || error
OpenPOWER on IntegriCloud